Installing and using Node Webkit

  • I can't find info on this anywhere. Do I have to install the Web Nodekit into Construct's folder and do I have to specify its folder somewhere in C2, or does C2 automatically recognize the install folder and use the latest version without even asking me about it? I'm kinda confused with it because it installed just random stuff into a NodeWebkitForC2 folder and I don't know what to do with them.

  • Yeah you just have to install it to wherever it installs or where you want it. C2 will figure it out automatically I think, well at least if you use the normal install path. Then you will be able to use it as preview browser in C2 and add the nodeWebkit object to your project as you would the mouse controller.

  • Make sure to get the NW.JS package provided by Scirra : https://www.scirra.com/nwjs

    Make sure to possibly uninstall previous packages before installing a new one.

    Then, whenever you will set the "Preview browser" property of a project to "NW.JS" (in most recent beta version. In previous stable it could still be "Node-Webkit") then the installed NW.JS package will be used.

    This only works if you are using a valid C2 license.

  • Got a prob with the new nodeWebkit. As you might know construct is portable, means after a install i can carry it for instance to my laptop, without to install it again ! I like this very very much . Whats wrong with the construct logic ? Why is it doing this ? Why there´s not a better option to integrate this strange nodeWebkit ? What i want is simple: to let construct point out, where the nodewebkit is installed. Best thing is, i got also an error that it can´t extract stuff: "Cannot extract package" ... Failed to unzip the package file: D:\blabla\Construct 2\http://localhost:50000/ ... ????????????

    Please can someone fix this. Otherwise i have always to install the whole stuff again and again and again (if i restore my Windows images 2x times a week). And if anyone have a solution for a portable nodeWebkit in combo with C2, please let me know . Thx.

  • Spax: Be sure to uninstall all your currents version of Node-Webkit from the software panel.

    Download the Alpha 3 version only from the url in my previous post and install it on your computer.

    Now execute/install C2 and it should find the only most recent alpha 3 version.

    It's a matter of making sure to uninstall/install new NW.JS versions as they are released and be sure to do such an install without C2 being executed at the same time.

    Also alphas are alphas, so stuff can go wrong.

  • Kyatric where do you find out which version of NW you already have installed?

  • jobel: As mentioned it is in Windows' software panel.

    http://windows.microsoft.com/en-us/windows/uninstall-change-program#uninstall-change-program=windows-7

    Don't know for Win8 but I guess there should be a similar feature.

  • Kyatric thanks!

    it's showing I have both 10.5 and 12 installed. Since I've heard there are still issues with 12 can I just uninstall 12? Will C2 then default to 10.5? or will C2 not see that? I'm on r200

  • Try Construct 3

    Develop games in your browser. Powerful, performant & highly capable.

    Try Now Construct 3 users don't see these ads
  • jobel: Dunno. As far as I'm concerned, I don't have issues with 12.

  • I tried it again. With a new construct2 r210 and newest NW. No succes . As you mentioned i have to remove an older vers. of NW. But i don´t need to, because i´ve never installed a NW on my working windows 8.1 (i used a Virtual Machine and copied NW to root of Construct 2). And if i run NW it works. But inside C2, it shows the same error message.

    Without a "portable" working NW in combination with C2, Construct2 isn´t portable anymore. I don´t like this direction of development. Because i have my important Apps on my Pen, so i often work on different Computers.

Jump to:
Active Users
There are 1 visitors browsing this topic (0 users and 1 guests)